VocalDocscontracts 1.65.0

Webhooks

Webhook subscriptions, their secrets, test events and deliveries, and the replay of past events to a subscription.

OperationSummaryScopeReleased inPhase 0 host
GET /v1/webhooksList Webhook subscriptionswebhooks:read1.63.0served
POST /v1/webhooksCreate a Webhook subscriptionwebhooks:write1.63.0served
GET /v1/webhooks/{webhook_id}Read a Webhook subscriptionwebhooks:read1.63.0served
PATCH /v1/webhooks/{webhook_id}Update a Webhook subscriptionwebhooks:write1.63.0served
DELETE /v1/webhooks/{webhook_id}Delete a Webhook subscriptionwebhooks:write1.63.0served
GET /v1/webhooks/{webhook_id}/deliveriesList a Webhook subscription's deliverieswebhooks:read1.63.0served
POST /v1/webhooks/{webhook_id}/enableEnable a disabled Webhook subscriptionwebhooks:write1.63.0served
POST /v1/webhooks/{webhook_id}/replayReplay the events of a time window to a Webhook subscriptionwebhooks:write1.52.0served
POST /v1/webhooks/{webhook_id}/rotate-secretRotate a Webhook subscription's secretwebhooks:write1.63.0served
POST /v1/webhooks/{webhook_id}/testSend a test event to a Webhook subscriptionwebhooks:write1.63.0served